Retry a delivery attempt
Retry a specific delivery attempt by routing it back through the delivery scheduler.
POST
/delivery-attempts/{id}/retry
Retry a specific delivery attempt by routing it back through the delivery scheduler.
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Resource ID (32-char hex)
Example:
"a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"Responses
200
Retried delivery attempt
application/jsondelivery_attempt
object
REQUIRED
id
string
REQUIRED
org_id
string
REQUIRED
env_id
string
REQUIRED
event_id
string
REQUIRED
connection_id
string
REQUIRED
destination_id
string
REQUIRED
request_url
string
REQUIRED
request_method
string
REQUIRED
request_headers
string | null
REQUIRED
request_body_size
integer
REQUIRED
response_status
integer | null
REQUIRED
response_headers
string | null
REQUIRED
response_body
string | null
REQUIRED
duration_ms
integer | null
REQUIRED
status
string
REQUIRED
error
string | null
REQUIRED
created_at
string
REQUIRED
attempt_number
integer | null
REQUIRED
next_retry_at
string | null
REQUIRED
is_dlq
integer | null
REQUIRED
dlq_at
string | null
REQUIRED
trigger_type
string | null
REQUIRED
connection_name
string | null
REQUIRED
destination_name
string | null
REQUIRED
400
Retry failed
401
Unauthorized
404
Delivery attempt not found
curl -X POST 'https://hookstream.io/v1/delivery-attempts/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/retry' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/delivery-attempts/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/retry', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://hookstream.io/v1/delivery-attempts/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/retry', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("POST", "https://hookstream.io/v1/delivery-attempts/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/retry", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "delivery_attempt": { "id": "<string>", "org_id": "<string>", "env_id": "<string>", "event_id": "<string>", "connection_id": "<string>", "destination_id": "<string>", "request_url": "<string>", "request_method": "<string>", "request_headers": "<string>", "request_body_size": 123, "response_status": 123, "response_headers": "<string>", "response_body": "<string>", "duration_ms": 123, "status": "<string>", "error": "<string>", "created_at": "<string>", "attempt_number": 123, "next_retry_at": "<string>", "is_dlq": 123, "dlq_at": "<string>", "trigger_type": "<string>", "connection_name": "<string>", "destination_name": "<string>" }}
API Playground
Try this endpoint
POST
/delivery-attempts/{id}/retry